Update recipient for a support ticket

Add an additional recipient (CC) to an existing support ticket. This is useful when you want a colleague or manager to be informed about the communication in a ticket without them being a direct participant.

Support Tickets

Context

Used in the dashboard

/support

Path Parameters

number integer · min: 1 required Example: 100000

Unique number identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
cc string required · Example: [email protected]

Responses

200
data object required
data.cc string required · Example: [email protected]
data.message string required · Example: Ticket Updated

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

500
code string required · Example: INTERNAL_ERROR

Machine-readable error code.

error string required · Example: Internal Server Error

HTTP status title (e.g. 'Bad Request').

message string required · Example: Failed to update ticket

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

PUT https://cloud.hostup.se/api/support/tickets/{number}/details
For AI assistants
cURL
curl -X PUT "https://cloud.hostup.se/api/support/tickets/100000/details" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "cc": "[email protected]"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "cc": "[email protected]",
    "message": "Ticket Updated"
  }
}
Request Body Example 1
{
  "cc": "[email protected]"
}